MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004101ATutorContentpublic2009-12-31 07:482010-05-02 15:27
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.4 
Summary0004101: menu with special characters ?
Descriptionwith Spanish character ?, they break in some cases when displayed in the content navigation menu, sometimes when a link is active but not when its inactive, and for some instances of the character, but not others among inactive links.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Fileszip file icon learn_windows_-_Bloc_de_notas__edicin_de_texto_simple_ims.zip [^] (14,865 bytes) 2009-12-31 07:49

- Relationships

-  Notes
(0004016)
cindy (administrator)
2010-01-04 06:16

SVN revision: 9052

Solution: use htmlspecialchars() & htmlspecialchars_decode() to encode/decode the side menu title instead of htmlentities() & html_entity_decode()

Patch 0000002 has been issued for this fix.

Affected script: include/classes/ContentManager.class.php

- Issue History
Date Modified Username Field Change
2009-12-31 07:48 greg New Issue
2009-12-31 07:49 greg File Added: learn_windows_-_Bloc_de_notas__edicin_de_texto_simple_ims.zip
2009-12-31 07:49 greg Affects version => SVN
2010-01-04 06:16 cindy Status new => resolved
2010-01-04 06:16 cindy Fixed in Version => 1.6.4
2010-01-04 06:16 cindy Resolution open => fixed
2010-01-04 06:16 cindy Assigned To => cindy
2010-01-04 06:16 cindy Note Added: 0004016
2010-05-02 15:27 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker